%define lib_major       0
%define libname        %mklibname gdiplus %{lib_major}
%define libnamedev     %mklibname -d gdiplus

Name:		libgdiplus
Summary:	An Open Source implementation of the GDI+ API
Version: 2.10.9
Release: %mkrel 3
License:	MIT
Group:		System/Libraries
URL:		http://www.mono-project.com/Main_Page
Source:		http://download.mono-project.com/sources/%name/%{name}-%{version}.tar.bz2
Patch0:		libgdiplus-2.10.1-libpng15.patch
Patch1:		libgdiplus-2.10-link.patch
Patch2:		libgdiplus-2.10.9-gold.patch
Patch3:		libgdiplus-2.10.9-automake-1.13.patch
BuildRequires:	glib2-devel
BuildRequires:	jpeg-devel
BuildRequires:	libexif-devel
BuildRequires:	ungif-devel
BuildRequires:	tiff-devel
BuildRequires:	png-devel
BuildRequires:	libsm-devel
BuildRequires:	libxrender-devel
BuildRequires:	libxml2-devel
BuildRequires:	libfontconfig-devel
BuildRequires:	cairo-devel
BuildRequires:	pango-devel
BuildRequires:	automake

%description
An Open Source implementation of the GDI+ API.
This is part of the Mono project.

%package -n %{libname}
Summary:	An Open Source implementation of the GDI+ API
Group:		System/Libraries
Provides:	%name = %version-%release
Conflicts:	%{libname} < 2.10.9-1

%description -n %{libname}
An Open Source implementation of the GDI+ API.
This is part of the Mono project.

%package -n %{libnamedev}
Summary:	Libraries for developing with libgdiplus
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes: %mklibname -d gdiplus 0
Conflicts:	%{libnamedev} < 2.10.9-1

%description -n %{libnamedev}
This package provides the necessary development libraries to allow
you to develop with libgdiplus.


%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1 -b .gold
%patch3 -p1 -b .automake-1_13

%build
aclocal
libtoolize -fic
autoheader
automake -acf
autoconf

%configure2_5x --disable-static --with-cairo=system --with-jpegprefix=no
%make

%install
rm -rf %{buildroot}

%makeinstall_std

# workaround
sed -i -e 's|-L${libjpeg_prefix}/lib||g' %{buildroot}%{_libdir}/pkgconfig/libgdiplus.pc

rm -f %buildroot%{_libdir}/*.la

%files -n %{libname}
%defattr(0644, root, root, 0755)
%doc AUTHORS COPYING
%{_libdir}/*.so.%{lib_major}*

%files -n %{libnamedev}
%defattr(0644, root, root, 0755)
%doc src/ChangeLog
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.10.9-3.mga3
+ Revision: 357168
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 cjw <cjw> 2.10.9-2.mga3
+ Revision: 341537
- patch3: fix build with automake 1.13
- drop non-working and unneeded configure change

* Sat Sep 01 2012 matteo <matteo> 2.10.9-1.mga3
+ Revision: 287047
- new version

* Fri Dec 23 2011 fwang <fwang> 2.10-3.mga2
+ Revision: 186479
- rebuild for new libtiff

* Sun Sep 11 2011 fwang <fwang> 2.10-2.mga2
+ Revision: 142312
- fix link patch
- fix linkage
- add netbsd patch to build with libpng 1.5
- br pango
- more br
- rebuild for new libpng

* Thu Jul 14 2011 fwang <fwang> 2.10-1.mga2
+ Revision: 123960
- new version 2.10

* Sat Jan 15 2011 ahmad <ahmad> 2.8.1-2.mga1
+ Revision: 18120
- drop old/unneeded scriptlets
- imported package libgdiplus

